package com.jeesharp.business.modules.ai.service;

import com.jeesharp.business.modules.ai.entity.AiFaq;
import com.jeesharp.business.modules.ai.vo.AiFaqQueryVO;
import com.jeesharp.framework.mybatis.core.service.BaseInterface;

public interface AiFaqService extends BaseInterface<AiFaq, AiFaqQueryVO> {

    void createFaq(AiFaq entity);

    void updateFaq(AiFaq entity);
AiFaq matchFaq(String keyword);

    AiFaq matchFaq(String categoryId, String keyword);
}
